(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else if(typeof exports === 'object')
		exports["dsBootstrap"] = factory();
	else
		root["dsBootstrap"] = factory();
})(window, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 2);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GroupRenderer = exports.RootRenderer = exports.SchemaGridItem = exports.SchemaGridHandler = void 0;

var _react = _interopRequireDefault(__webpack_require__(4));

var _uiSchema = __webpack_require__(1);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var SchemaGridItem = function SchemaGridItem(_ref) {
  var children = _ref.children,
      schema = _ref.schema;
  var classNameArray = [];
  var view = schema ? schema.getIn(['view']) : undefined;
  classNameArray.push('col-xs-12');

  if (view && view.get('sizeXs')) {
    classNameArray.push('col-xs-' + view.get('sizeXs'));
  }

  if (view && view.get('sizeSm')) {
    classNameArray.push('col-sm-' + view.get('sizeSm'));
  }

  if (view && view.get('sizeMd')) {
    classNameArray.push('col-md-' + view.get('sizeMd'));
  }

  if (view && view.get('sizeLg')) {
    classNameArray.push('col-lg-' + view.get('sizeLg'));
  }

  if (view && view.get('sizeXl')) {
    classNameArray.push('col-xl-' + view.get('sizeXl'));
  }

  return _react["default"].createElement("div", {
    className: classNameArray.join(' ')
  }, children);
};

exports.SchemaGridItem = SchemaGridItem;

var RootRenderer = function RootRenderer(props) {
  return _react["default"].createElement(_react["default"].Fragment, null, props.children);
};

exports.RootRenderer = RootRenderer;

var GroupRenderer = function GroupRenderer(_ref2) {
  var children = _ref2.children;
  return _react["default"].createElement("div", {
    className: 'row'
  }, children);
};

exports.GroupRenderer = GroupRenderer;

var SchemaGridHandler = function SchemaGridHandler(props) {
  var schema = props.schema;
  return _react["default"].createElement(SchemaGridItem, {
    schema: schema
  }, _react["default"].createElement(_uiSchema.NextPluginRenderer, props));
};

exports.SchemaGridHandler = SchemaGridHandler;

/***/ }),
/* 1 */
/***/ (function(module, exports) {

module.exports = require("@ui-schema/ui-schema");

/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "widgets", {
  enumerable: true,
  get: function get() {
    return _btsFields.widgets;
  }
});

var _btsFields = __webpack_require__(3);

/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.widgets = void 0;

var _Grid = __webpack_require__(0);

var _widgetStack = __webpack_require__(5);

var widgets = {
  RootRenderer: _Grid.RootRenderer,
  GroupRenderer: _Grid.GroupRenderer,
  widgetStack: _widgetStack.widgetStack,
  ErrorFallback: 'todo',
  types: {},
  custom: {}
};
exports.widgets = widgets;

/***/ }),
/* 4 */
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.widgetStack = void 0;

var _Grid = __webpack_require__(0);

var _uiSchema = __webpack_require__(1);

var widgetStack = [_uiSchema.DependentHandler, _Grid.SchemaGridHandler, _uiSchema.DefaultHandler, _uiSchema.RequiredValidator, _uiSchema.MinMaxValidator, _uiSchema.TypeValidator, _uiSchema.MultipleOfValidator, _uiSchema.ValueValidatorConst, _uiSchema.ValueValidatorEnum, _uiSchema.PatternValidator, _uiSchema.ArrayValidator, _uiSchema.ValidityReporter];
exports.widgetStack = widgetStack;

/***/ })
/******/ ]);
});